using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CLCarte
{
    public class ArchivioCarte : List<Carta>
    {

        public new void Add(Carta cartaDaInserire)
        {
            bool elementoInserito = false;

            foreach (Carta carta in this)
            {
                if (carta.Numero == cartaDaInserire.Numero)
                {
                    elementoInserito = true;
                }
            }

            if (!elementoInserito)
            {
                base.Add(cartaDaInserire);
            }
            else
            {
                throw new Exception();
            }
        }


        public Carta RicercaCartaPerNumero(int numeroCarta)
        {
            foreach (Carta c in this)
            {
                if (c.Numero == numeroCarta)
                {
                    return c;
                }
            }

            return null;
        }


    }
}
